Skip to content
The API may change between versions while TTX-Zone is 0.x.

Enroll TOTP

POST
/api/v1/auth/totp/enroll
curl --request POST \
--url https://example.com/api/v1/auth/totp/enroll \
--header 'X-CSRF-Token: <X-CSRF-Token>' \
--cookie ttx_access_token=<ttx_access_token>

Start enrolling an authenticator app: a new secret and its QR data.

Successful Response

Media typeapplication/json
TotpEnrollResponse
object
provisioning_uri
required
Provisioning Uri
string

Example generated

{
"provisioning_uri": "example"
}